# compile

## Purpose

The `compile` command will execute the compile phase of the Grails pre-packaging process, which pre-compiles Groovy and Java sources.

## Examples

    grails compile

## Description

Usage:

    grails compile

> You can enable verbose compilation for any Grails task by passing the flag `-verboseCompile` to the task (e.g. `grails run-app -verboseCompile`), or by setting the `verboseCompile` Grails build setting.

Fired Events:

- `CompileStart` - Before compilation begins
- `CompileEnd` - After compilation completes